Classpath (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ide.eclipse.model

## Class Classpath

- java.lang.Object
- - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
  - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
    - - org.gradle.plugins.ide.eclipse.model.Classpath

-     public class Classpath
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Represents the customizable elements of an eclipse classpath file. (via XML hooks everything is customizable).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Classpath​()` |
    `Classpath​(org.gradle.internal.xml.XmlTransformer xmlTransformer, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)` |
    `Classpath​(org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `configure​(java.util.List newEntries)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `FileReference` | `fileReference​(java.lang.Object reference)` | Creates a new `FileReference` instance.
    `protected java.lang.String` | `getDefaultResourceName​()` |
    `java.util.List<ClasspathEntry>` | `getEntries​()` |
    `int` | `hashCode​()` |
    `protected void` | `load​(groovy.util.Node xml)` |
    `void` | `setEntries​(java.util.List<ClasspathEntry> entries)` |
    `protected void` | `store​(groovy.util.Node xml)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction, transformAction`

- - ### Constructor Detail

    - #### Classpath

          public Classpath​(org.gradle.internal.xml.XmlTransformer xmlTransformer,
                           org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Classpath

          public Classpath​(org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Classpath

          public Classpath​()

  - ### Method Detail

    - #### getEntries

          public java.util.List<ClasspathEntry> getEntries​()

    - #### setEntries

          public void setEntries​(java.util.List<ClasspathEntry> entries)

    - #### getDefaultResourceName

          protected java.lang.String getDefaultResourceName​()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### load

          protected void load​(groovy.util.Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### configure

          public java.lang.Object configure​(java.util.List newEntries)

    - #### store

          protected void store​(groovy.util.Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### fileReference

          public FileReference fileReference​(java.lang.Object reference)

      Creates a new `FileReference` instance.

      The created object can be used to configure custom source or javadoc location on `Library` and on `Variable` objects.

      This method can receive either String or File instances.

      Parameters:
        `reference` - The object to transform into a new file reference. Can be instance of File or String.
      Returns:
        The new file reference.
      See Also:
        `AbstractLibrary.setJavadocPath(FileReference)`, `AbstractLibrary.setSourcePath(FileReference)`